Get a specific RSVP by ID
curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"updated": "2026-07-09T23:52:15+00:00",
"status": "<string>",
"event": {
"id": "1234",
"created_at": "2026-07-09T23:52:14+00:00",
"updated_at": "2026-07-09T23:52:14+00:00",
"post_type": "<string>",
"space_id": 123,
"creator_id": 123,
"title": "<string>",
"summary": "<string>",
"event_type": "<string>",
"starts_at": "<string>",
"time_zone": "<string>",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"creator": {
"id": "1234",
"created_at": "2026-07-09T23:52:13+00:00",
"updated_at": "2026-07-09T23:52:13+00:00",
"email": "ada.lovelace@example.com",
"member_type": "<string>",
"permalink": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"location": "<string>",
"bio": "<string>",
"referral_count": 123,
"avatar": "<string>",
"categories": "<string>",
"ambassador_level": "<string>"
},
"space": {
"id": "1234",
"created_at": "2026-07-09T23:52:13+00:00",
"updated_at": "2026-07-09T23:52:13+00:00",
"name": "<string>",
"collection_id": 123
},
"permalink": "<string>",
"ends_at": "<string>",
"location": "<string>",
"frequency": "<string>",
"interval": 123,
"images": [
"<string>"
]
},
"member": {
"id": "1234",
"created_at": "2026-07-09T23:52:13+00:00",
"updated_at": "2026-07-09T23:52:13+00:00",
"email": "ada.lovelace@example.com",
"member_type": "<string>",
"permalink": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"location": "<string>",
"bio": "<string>",
"referral_count": 123,
"avatar": "<string>",
"categories": "<string>",
"ambassador_level": "<string>"
},
"event_instance": {
"post_id": 123,
"starts_at": "2026-07-09T23:52:15+00:00",
"ends_at": "2026-07-09T23:52:15+00:00",
"instance_index": 123
}
}{
"error": "<string>"
}Rsvps
Get a specific RSVP by ID
GET
/
admin
/
v1
/
networks
/
{network_id}
/
events
/
{event_id}
/
rsvps
/
{id}
/
Get a specific RSVP by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the event
ID of the RSVP
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
An RSVP object
An RSVP for an event
The record's integer ID
Example:
"1234"
The last updated timestamp
Example:
"2026-07-09T23:52:15+00:00"
The RSVP status: yes, maybe, or no
The event being RSVPed to
Show child attributes
Show child attributes
The member who set the RSVP
Show child attributes
Show child attributes
The specific event instance for recurring events
Show child attributes
Show child attributes
⌘I